snd_device_free
Prev | Chapter 24. Sound Devices | Next

## Name

snd_device_free — release the device from the card

## Synopsis

`int snd_device_free (` | struct snd_card * | card,
| void * | device_data`)`;

## Arguments

`card`

  the card instance

`device_data`

  the data pointer to release

## Description

Removes the device from the list on the card and invokes the callbacks, dev_disconnect and dev_free, corresponding to the state. Then release the device.

Returns zero if successful, or a negative error code on failure or if the device not found.

Prev | Up | Next
snd_device_new | Home | snd_device_register